<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.ruoyi</groupId>
    <artifactId>ruoyi-vue-plus</artifactId>
    <version>4.6.0</version>
  </parent>

  <artifactId>ruoyi-system-file</artifactId>

  <description>
    系统文件模块
  </description>

  <dependencies>
    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-common</artifactId>
    </dependency>

    <dependency>
      <groupId>com.github.gotson</groupId>
      <artifactId>webp-imageio</artifactId>
      <version>0.2.2</version>
    </dependency>

    <dependency>
      <groupId>org.dromara.x-file-storage</groupId>
      <artifactId>x-file-storage-spring</artifactId>
      <version>2.2.1</version>
    </dependency>

    <!-- 华为云OBS -->
    <dependency>
      <groupId>com.huaweicloud</groupId>
      <artifactId>esdk-obs-java</artifactId>
      <version>3.22.12</version>
    </dependency>
    <!-- 华为云OSS -->
    <dependency>
      <groupId>com.aliyun.oss</groupId>
      <artifactId>aliyun-sdk-oss</artifactId>
      <version>3.17.4</version>
    </dependency>
    <!-- 七牛云Kodo -->
    <dependency>
      <groupId>com.qiniu</groupId>
      <artifactId>qiniu-java-sdk</artifactId>
      <version>7.12.1</version>
    </dependency>
    <!-- 腾讯云COS -->
    <dependency>
      <groupId>com.qcloud</groupId>
      <artifactId>cos_api</artifactId>
      <version>5.6.137</version>
    </dependency>
    <!-- minio -->
    <dependency>
      <groupId>io.minio</groupId>
      <artifactId>minio</artifactId>
      <version>8.5.2</version>
    </dependency>

    <!-- Amazon S3 -->
    <dependency>
      <groupId>com.amazonaws</groupId>
      <artifactId>aws-java-sdk-s3</artifactId>
      <version>1.12.429</version>
    </dependency>

    <!-- 如果出现 okhttp 版本问题，可以尝试引入以下版本，没问题则无需引入-->
    <dependency>
      <groupId>com.squareup.okhttp3</groupId>
      <artifactId>okhttp</artifactId>
      <version>4.12.0</version>
    </dependency>

    <!-- FTP SFTP -->
    <dependency>
      <groupId>com.jcraft</groupId>
      <artifactId>jsch</artifactId>
      <version>0.1.55</version>
    </dependency>

    <dependency>
      <groupId>commons-net</groupId>
      <artifactId>commons-net</artifactId>
      <version>3.9.0</version>
    </dependency>

    <!--糊涂工具类扩展-->
    <dependency>
      <groupId>cn.hutool</groupId>
      <artifactId>hutool-extra</artifactId>
    </dependency>

    <!-- Apache 的对象池 -->
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-pool2</artifactId>
      <version>2.11.1</version>
    </dependency>

    <!-- WebDAV -->
    <dependency>
      <groupId>com.github.lookfirst</groupId>
      <artifactId>sardine</artifactId>
      <version>5.10</version>
    </dependency>
  </dependencies>

</project>
